Laravel需要Mcrypt PHP扩展[重复]

这个问题在这里已有答案:

我正在尝试在Linux Ubuntu上安装Laravel . 我正在运行Ubuntu 14.10 .

一切都运转正常 . 但是现在不是在访问localhost时得到假设的页面,而是得到消息:“需要Mcrypt PHP扩展”我正在从终端复制一些信息以帮助查明问题 .

which php
/usr/bin/php

php --ini
Configuration File (php.ini) Path: /etc/php5/cli
Loaded Configuration File:         /etc/php5/cli/php.ini
Scan for additional .ini files in: /etc/php5/cli/conf.d
Additional .ini files parsed:      /etc/php5/cli/conf.d/05-opcache.ini,
/etc/php5/cli/conf.d/10-pdo.ini,
/etc/php5/cli/conf.d/20-json.ini,
/etc/php5/cli/conf.d/20-mcrypt.ini,
/etc/php5/cli/conf.d/20-mysql.ini,
/etc/php5/cli/conf.d/20-mysqli.ini,
/etc/php5/cli/conf.d/20-pdo_mysql.ini,
/etc/php5/cli/conf.d/20-readline.ini

php -v
PHP 5.5.9-1ubuntu4 (cli) (built: Apr  9 2014 17:11:57) 
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.5.0, Copyright (c) 1998-2014 Zend Technologies
    with Zend OPcache v7.0.3, Copyright (c) 1999-2014, by Zend Technologies

php -m
mcrypt

命令php -m说我有mcrypt模块,但如果我加载一个包含的页面

<?php phpinfo(); ?>

我看不到任何mcrypt模块 . 我只在“模块作者”上看到mcrypt .

我不知道如何让Laravel工作......

任何帮助将不胜感激 .

最好的祝福

回答(2)

2 years ago

您需要检查正在加载哪个ini文件 . PHP CLI和PHP服务器有时可以运行不同的配置文件 .

创建一个页面:

<?php echo phpinfo(); ?>

然后查看正在加载哪个ini文件 .

2 years ago

安装php5-mcrypt不会自动启用该模块 . 也许您必须手动启用它:

安装模块

apt-get install php5-mcrypt

创建一个auxialiar符号链接并启用该模块

cd /etc/php5/mods-available
ln -sf ../conf.d/mcrypt.ini .
php5enmod mcrypt

并重新加载Apache

service apache2 reload

希望能帮助到你!